/* ==================================================== */
/* This source code published as public domain property */ 
/* Developer: Rompo Punyanitya 				   	        */
/*            BCS from RMIT university        	        */
/* Website: www.users.bigpond.net.au/rpunyani/          */
/* Email:   rpunyani@bigpond.net.au                     */
/* ==================================================== */
/* 
history
file version 1.0.1 
*/
#ifndef RASTERSPOOL_H
#define RASTERSPOOL_H
#include <SpoolFile.h>
#include <ScaleInfo.h>
#include <View.h>
namespace RasterSpoolSpace
{
  BRect const EMPTYRECT = BRect(0,0,0,0);
};
class RasterSpool : public ScaleInfo
{
  public:
    RasterSpool();
    ~RasterSpool();
 
    /* ====================================================================== */
    /* return value functions												  */ 
    
    bool InitOK();					// return init status

    BRect PrintableFrame();			// printable frame (x1,y1,x2,y2); from the paper prospective
    BRect ScaningFrame();			// scanning frame  (x1,y1,x2,y2); from printable prospective
    BRect ScaningRect();			// scanning rect of the scanning frame
    /* ====================================================================== */
  
    /* ====================================================================== */
    bool Init(SpoolFile *,int maxline);		// done
    void Unset();							// done

    bool SetToPage(int pagenumber);			// done
    bool ScanNext();						// done
    
    int PageNumber();
    /* ====================================================================== */
  private:
    void UnsetValue();				        // done
    void Uninit();					        // done
    
    void CopyData_PortraitRotate180(BRect copyrect,BBitmap *);
    void CopyData_Portrait(BRect copyrect,BBitmap *);
    
    void CopyData_LandscapeRotate180(BRect copyrect,BBitmap *);
    void CopyData_Landscape(BRect copyrect,BBitmap *);    
    void RetrievePixels(BBitmap *bitmap,int x,int y,rgb_color *value);
    void WriteColorPixels(int y,int x,rgb_color value);
    void WriteGrayPixels(int y,int x,rgb_color value);
  private:

    int   fpagenumber;
 
    BRect fprintableframe;

    BRect fscanframe;
    BRect fpostscanframe;

    BRect fbufferrect;   
    
    SpoolFile *fspoolfile;
    
    char  *fbuffer;
    bool  fendofscan;

    bool  finit;
};
#endif