#ifndef ADDON_H
#define ADDON_H
#include <SupportDefs.h>
#include <AddonDefs.h>
#include <PrinterInfo.h>
#include <PrinterAddon.h>
#include <InkLevelGroup.h>
extern "C" uint32 MinimunPageWidth    	= (uint32) (3.5f * 360.0f);
extern "C" uint32 MinimunPageHeight   	= (uint32) (3.5f * 360.0f);
extern "C" uint32 MaximunPageWidth  	= (uint32) (9.5f * 360.0f);
extern "C" uint32 MaximunPageHeight 	= (uint32) (44.0f * 360.0f);
extern "C" const char Author[]		  	= {"Rompo Punyanitya"};
extern "C" bool  SupportColorPrint		= true;
extern "C" uint8 number_of_inks			= 4;
extern "C" char const FunctionAddon[]	= {"Epson ESP2"};
extern "C" paper_feeder_st support_paper_feeder[] = 
{
  {0,{"Cue Sheet Feeder"}},
  {-1,NULL}
};
extern "C" support_paper_media_st support_paper_media[] =
{
  {0,{"Plain paper"}},
  {1,{"360 Inkjet paper"}},
  {2,{"Photo quality inkjet paper"}},
  {3,{"Matte Heavyweight paper"}},
  {4,{"Photo paper"}},
  {5,{"Photo Quality Glossy film paper"}},
  {6,{"Inkjet Transparencies paper"}},
  {7,{"Iron-on cool Transfer paper"}},
  {-1,NULL}
};
extern "C" print_quality_st support_quality_color[] =
{
  // Plain Paper
  {{"Economy"},			360,	120,	true,	true},
  {{"Normal"},			360,	360,	true,	true},
  {{"Photo"},			720,	720,	true,	true},
  // 360dpi Inkjet paper
  {{"Normal"},			360,	360,	false,	true},
  // Photo Quality Inkjet papper
  {{"Fine"},			360,	720,	true,	true},
  {{"Photo"},			720,	720,	false,	true},
  // Matte heavyweight paper
  {{"Fine"},			360,	720,	true,	true},
  {{"Photo"},			720,	720,	false,	true},
  // Photo paper
  {{"Fine"},			360,	720,	true,	true},
  {{"Photo"},			720,	720,	false,	true},
  {{"High Quality"},	1440,	720,	false,	true},
  // Photo Quality paper
  {{"Photo"},			720,	720,	false,	true},
  {{"High Quality"},	1440,	720,	false,	true},
  // Ink jet Transparencies
  {{"Normal"},			360,	360,	false,	true},
  // Iron cool transfer 
  {{"Economy"},			360,	120,	true,	true},
  {{"Normal"},			360,	360,	true,	true},
  {{"Photo"},			720,	720,	true,	true}
};
extern "C" print_quality_index_st support_quality_index_color[] = 
{
  // Plain Paper
  {0,3,1},
  // 360dpi Inkjet paper
  {3,1,0},
  // Photo Quality Inkjet papper
  {4,2,1},
  // Matte Heavyweight paper
  {6,2,1},
  // Photo paper
  {8,3,1},
  // Photo Quality paper
  {11,2,1},
  // Ink jet Transparencies
  {13,1,0},
  // Iron cool transfer 
  {14,3,1}
};
extern "C" print_quality_st support_quality_mono[] =
{
  // Plain Paper
  {{"Economy"},			360,	120,	true,	true},
  {{"Normal"},			480,	240,	true,	true},
  {{"Photo"},			360,	720,	true,	true},
  // 360dpi Inkjet paper
  {{"Normal"},			360,	360,	false,	true},
  // Photo Quality Inkjet papper
  {{"Fine"},			360,	720,	true,	true},
  {{"Photo"},			720,	720,	false,	true},
  // Matte heavyweight paper
  {{"Fine"},			360,	720,	true,	true},
  {{"Photo"},			720,	720,	false,	true},
  // Photo paper
  {{"Fine"},			360,	720,	true,	true},
  {{"Photo"},			720,	720,	false,	true},
  {{"High Quality"},	1440,	720,	false,	true},
  // Photo Quality paper
  {{"Photo"},			720,	720,	false,	true},
  {{"High Quality"},	1440,	720,	false,	true},
  // Ink jet Transparencies
  {{"Normal"},			360,	360,	false,	true},
  // Iron cool transfer 
  {{"Economy"},			360,	120,	true,	true},
  {{"Normal"},			480,	240,	true,	true},
  {{"Photo"},			360,	720,	true,	true},
};
extern "C" print_quality_index_st support_quality_index_mono[] = 
{
  // Plain Paper
  {0,3,1},
  // 360dpi Inkjet paper
  {3,1,0},
  // Photo Quality Inkjet papper
  {4,2,1},
  // Matte Heavyweight paper
  {6,2,1},
  // Photo paper
  {8,3,1},
  // Photo Quality paper
  {11,2,1},
  // Ink jet Transparencies
  {13,1,0},
  // Iron cool transfer 
  {14,3,1}
};
extern "C" printer_utility_return_t snoozecheck(PrinterInfo *printer_info);
extern "C" printer_utility_return_t snoozeclean(PrinterInfo *printer_info);
extern "C" printer_utility_return_t ejectink(PrinterInfo *printer_info);
extern "C" bool inkinfo(PrinterInfo *printer_info,InkLevelGroup *inklevel);
extern "C" printer_utility_return_t inklevel(PrinterInfo *printer_info,InkLevelGroup *inklevel);
extern "C" printer_utility_return_t printdoc(PrinterInfo *printer_info,SpoolFile *spool_file);
#endif